MeiroDocs

Workspace's ACL

+ Parameters

Section: Group Workspace's ACL. Base URL: https://api.instance_name.meiro.io/.

Workspace's Users [/acl/workspaces/{workspace_id}{?limit,offset,order_by,order_dir,load_full_structure}]

List All Workspace's Users [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_users": [
        {
            "id": 1,
            "permission": "write",
            "created": "2018-03-26 15:08:33",
            "user_id": 266,
            "workspace_id": 30
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Create a Workspace's User [POST]

  • Parameters

    • load_full_structure (number, optional) - Full data structure return flag
  • Attributes

    • user_id: 266 (number)
    • permission: read|write (string)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "workspace_user": {
        "id": 68,
        "permission": "read",
        "created": "2018-03-26 19:50:46",
        "user_id": 266,
        "workspace_id": 1
    }
}

Workspace's User [/acl/workspaces/{workspace_id}/users/{user_id}{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Retrieve a Workspace's User [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_user": {
        "id": 68,
        "permission": "read",
        "created": "2018-03-26 19:50:46",
        "user_id": 266,
        "workspace_id": 1
    }
}

Modify a Workspace's User [PATCH]

  • Attributes

    • permission: read|write (string)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_user": {
        "id": 68,
        "permission": "read",
        "created": "2018-03-26 19:50:46",
        "user_id": 266,
        "workspace_id": 1
    }
}

Delete a Workspace's User [DELETE]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

User's Workspaces [/acl/users/{user_id}{?limit,offset,order_by,order_dir,include_deleted,load_full_structure}]

List All User's Workspaces [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • include_deleted (number, optional) - Load deleted workspaces flag
    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "user_workspaces": [
        {
            "id": 1,
            "permission": "write",
            "created": "2018-03-26 15:08:33",
            "user_id": 266,
            "workspace_id": 30
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC",
        "include_deleted": 0
    }
}

On this page